/******************************************************************************
 *
 * 	Barcode Scanner Demo Application
 *
 *	Copyright (c) 2006	Janam Partners LLC. All rights reserved.
 *
 * 	File: 			BabboChar.h
 *
 * 	Release: 		Palm OS 5.x
 *
 * 	Description: 	Babbo Specified Defines
 *
 * 	History:	
 *	Version 1.0		PT, JL			Oct, 2006
 *
 *****************************************************************************/
 
#ifndef vchrPiTechMin
#define vchrPiTechMin 			0x2100 // 256 command keys
#endif
#ifndef vchrPiTechMax
#define vchrPiTechMax 			0x21FF 
#endif

// KeyPad stuffs
#define	vchrKeyPadKey			(vchrPiTechMin + 8)
#define	keyPadBitShift			0x0001
#define keyPadBitCtl			0x0002
#define keyPadBitAlt			0x0004
#define keyPadBitUp				0x0008
#define	keyPadFunc1				0x0010
#define	keyPadFunc2				0x0020
#define	keyPadFunc3				0x0040
#define	keyPadFunc4				0x0080
#define	keyPadFunc5				0x0100
#define	keyPadFunc6				0x0200
#define	keyPadFunc7				0x0400
#define	keyPadFunc8				0x0800
#define	keyPadFunc9				0x1000
#define	keyPadFunc10			0x2000
#define	keyPadRelease			0x4000

// keyDownEvent modifers
#define	KeyPadKeyMask	       	0x0800
#define	KeyPadShiftMask	       	0x1000
#define	KeyPadCtlMask	       	0x2000
#define	KeyPadUpperMask       	0x4000

// JogDial define
#define	vchrJogDial				(vchrPiTechMin + 9)
#define jogDialBitUp			0x0001
#define	jogDialBitDown			0x0002
#define	jogDialBitPush			0x0004
#define	jogDialBitPushRepeat	0x0008
#define	jogDialBitRelease		0x0010

#define	vchrBTKey				(vchrPiTechMin + 10)
#define BTBitOffHook			0x0010
#define BTBitDisconnect			0x0020
#define BTBitStartAlert			0x0040
#define BTBitStopAlert			0x0080
#define	BTBitAudioConnected		0x0100
#define	BTBitAudioDisconnected	0x0200

// Scan related keys
#define vchrScanKey				(vchrPiTechMin + 11)

#define keyBitScanShift			0x00000400
#define keyBitScanCtl			0x00000800
#define keyBitScanAlt			0x00001000
#define keyBitScanUnlock		0x08000000
#define keyBitScanHard1			0x10000000
#define keyBitScanHard2			0x20000000

#define scanBitShift			0x0001
#define scanBitCtl				0x0002
#define scanBitAlt				0x0004
#define scanBitRelease			0x0008
#define scanBitFunc1			0x0010
#define scanBitFunc2			0x0020
#define scanBitFunc3			0x0040
#define scanBitFunc4			0x0080
#define scanBitFunc5			0x0100
#define scanBitFunc6			0x0200
#define scanBitFunc7			0x0400
#define scanBitFunc8			0x0800
#define scanBitFunc9			0x1000
#define scanBitFunc0			0x2000
#define scanBitHard1			0x4000
#define scanBitHard2			0x8000

#define scanKeyMask	       		0x0800
#define scanShiftKeyMask	    0x1000
#define scanCtlKeyMask	      	0x2000
#define scanAltKeyMask	      	0x4000

// We add a new key because we are running out of key bit
#define vchrScan1Key			(vchrPiTechMin + 12)

#define scanBitUp				0x0001
#define scanBitDown				0x0002
