/******************************************************************************
 *
 * 	Barcode Scanner Demo Application
 *
 *	Copyright (c) 2006	Janam Partners LLC. All rights reserved.
 *
 * 	File: 			Utils.h
 *
 * 	Release: 		Palm OS 5.x
 *
 * 	Description: 	Utility functions header
 *
 * 	History:	
 *	Version 1.0		PT, JL			Oct, 2006
 *
 *****************************************************************************/



#pragma once
#ifdef __cplusplus
extern "C" {
#endif

MemPtr GetObjectPtr(UInt16 nResourceId);
void SetFieldText(UInt16 nTextFieldID, const Char *pText, Int16 nSize, Boolean bRedrawn);
void FreeFieldHandle(Int16 nFieldId);
Boolean ScnGetBarTypeStr(UInt8 nbarType, Char *pszBarType, UInt16 nStrLen );

#ifdef __cplusplus
}
#endif
